<template>
	<div class="more-bg">
		<div class="screen-body">
			<div class="screen-body-col col-top">
				<div class="header">
					
					{{ $i18n.locale === 'zh-CN'?superiorData.targetName:superiorData.targetNameEn}}({{superiorData.targetUnit}})
				</div>
				<div class="top-content">
					<div class="cent-echarts" v-for="(e,ex) in dataList.slice(0,3)">
						<div class="echarts-title">{{ $i18n.locale === 'zh-CN'?e.targetName:e.targetNameEn}}</div>
						<div class="search" v-if="e.type==1">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[0].dateReqVo.year" type="year" value-format="yyyy"
								@change="handleData(e.type,ex)" placeholder="选择年" style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[0].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[0].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==2">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[1].dateReqVo.year" type="year" value-format="yyyy"
								@change="handleData(e.type,ex)" placeholder="选择年" style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[1].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[1].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==4">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[3].dateReqVo.year" type="year" value-format="yyyy"
								@change="handleData(e.type,ex)" placeholder="选择年" style="width: 110px;">
							</el-date-picker>
							年
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[3].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[3].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==5">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[4].dateReqVo.startYear" style="width: 110px;"
								@change="handleData(e.type,ex)" value-format="yyyy" type="year" placeholder="开始时间">
							</el-date-picker>
							-
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[4].dateReqVo.endYear" value-format="yyyy"
								@change="handleData(e.type,ex)" style="width: 110px;" type="year" placeholder="结束时间">
							</el-date-picker>
						</div>
						<div class="search" v-if="e.type==6">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[5].dateReqVo.year" type="year" value-format="yyyy"
								@change="handleData(e.type,ex)" placeholder="选择年" style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[5].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[5].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==7">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[6].dateReqVo.year" type="year" value-format="yyyy"
								@change="handleData(e.type,ex)" placeholder="选择年" style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[6].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[6].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==8">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[7].dateReqVo.startYear" style="width: 110px;"
								@change="handleData(e.type,ex)" value-format="yyyy" type="year" placeholder="开始时间">
							</el-date-picker>
							-
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[7].dateReqVo.endYear" value-format="yyyy"
								@change="handleData(e.type,ex)" style="width: 110px;" type="year" placeholder="结束时间">
							</el-date-picker>
							<!-- &nbsp; -->
							<!-- <el-select popper-class="screen-select-picker" v-model="parmas.queryList[7].dateReqVo.month" placeholder="请选择月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select> -->
						</div>
						<div class="search" v-if="e.type==9">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[8].dateReqVo.year" type="year" value-format="yyyy"
								@change="handleData(e.type,ex)" placeholder="选择年" style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[8].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[8].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==10">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[9].dateReqVo.year" type="year" value-format="yyyy"
								@change="handleData(e.type,ex)" placeholder="选择年" style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[9].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[9].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==11">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[10].dateReqVo.year" type="year"
								@change="handleData(e.type,ex)" value-format="yyyy" placeholder="选择年"
								style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[10].dateReqVo.startMonth" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
							-
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[10].dateReqVo.endMonth" placeholder="请选择结束月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>
						</div>
						<div class="search" v-if="e.type==12">
							<el-date-picker popper-class="screen-date-picker"
								v-model="parmas.queryList[11].dateReqVo.year" type="year"
								@change="handleData(e.type,ex)" value-format="yyyy" placeholder="选择年"
								style="width: 110px;">
							</el-date-picker>
							{{$i18n.locale === 'zh-CN'?'年':'Year'}}
							<el-select popper-class="screen-select-picker"
								v-model="parmas.queryList[11].dateReqVo.month" placeholder="请选择开始月份"
								@change="handleData(e.type,ex)" style="width: 110px;">
								<el-option v-for="item in monthList" :key="item.value" :label="item.label"
									:value="item.value">
								</el-option>
							</el-select>

						</div>
						<div :id="'topChart'+ex" class="full"></div>
					</div>
				</div>


			</div>
			<div class="screen-body-col col-footer">
				<div class="footer-echarts "
					:style="{height:(100/Math.ceil(dataList.slice(3).length/3)<50?48:100/Math.ceil(dataList.slice(3).length/3)-2)+'%'}"
					:class="{ lastLine: (ex + 1 ) % 3 == 0 }" v-for="(e,ex) in dataList.slice(3)">
					<echartsTitle>{{ $i18n.locale === 'zh-CN'?e.targetName:e.targetNameEn}}({{e.targetUnit}})</echartsTitle>
					<div class="search" v-if="e.type==1">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[0].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[0].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[0].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div class="search" v-if="e.type==2">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[1].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[1].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[1].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<!-- <div class="search" v-if="e.type==3">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[2].dateReqVo.startYear" style="width: 110px;"
							@change="handleData(e.type,(3+ex))" :picker-options="startDatePicker" value-format="yyyy"
							type="year" placeholder="开始时间">
						</el-date-picker>
						-
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[2].dateReqVo.endYear" value-format="yyyy"
							@change="handleData(e.type,(3+ex))" style="width: 110px;" :picker-options="endDatePicker"
							type="year" placeholder="结束时间">
						</el-date-picker>
						&nbsp;
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[2].dateReqVo.month" placeholder="请选择月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div> -->
					<div class="search" v-if="e.type==4">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[3].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[3].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[3].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div class="search" v-if="e.type==5">
						<el-date-picker popper-class="screen-date-picker"
							v-model="parmas.queryList[4].dateReqVo.startYear" style="width: 110px;"
							@change="handleData(e.type,(3+ex))" value-format="yyyy" type="year" placeholder="开始时间">
						</el-date-picker>
						-
						<el-date-picker popper-class="screen-date-picker"
							v-model="parmas.queryList[4].dateReqVo.endYear" value-format="yyyy"
							@change="handleData(e.type,(3+ex))" style="width: 110px;" type="year" placeholder="结束时间">
						</el-date-picker>
					</div>
					<div class="search" v-if="e.type==6">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[5].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[5].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[5].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div class="search" v-if="e.type==7">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[6].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[6].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[6].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div class="search" v-if="e.type==8">
						<el-date-picker popper-class="screen-date-picker"
							v-model="parmas.queryList[7].dateReqVo.startYear" style="width: 110px;"
							@change="handleData(e.type,(3+ex))" value-format="yyyy" type="year" placeholder="开始时间">
						</el-date-picker>
						-
						<el-date-picker popper-class="screen-date-picker"
							v-model="parmas.queryList[7].dateReqVo.endYear" value-format="yyyy"
							@change="handleData(e.type,(3+ex))" style="width: 110px;" type="year" placeholder="结束时间">
						</el-date-picker>
						<!-- &nbsp;
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[7].dateReqVo.month" placeholder="请选择月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select> -->
					</div>
					<div class="search" v-if="e.type==9">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[8].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[8].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[8].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div class="search" v-if="e.type==10">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[9].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[9].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[9].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div class="search" v-if="e.type==11">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[10].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker"
							v-model="parmas.queryList[10].dateReqVo.startMonth" placeholder="请选择开始月份"
							@change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
						-
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[10].dateReqVo.endMonth"
							placeholder="请选择结束月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div class="search" v-if="e.type==12">
						<el-date-picker popper-class="screen-date-picker" v-model="parmas.queryList[11].dateReqVo.year"
							type="year" value-format="yyyy" @change="handleData(e.type,(3+ex))" placeholder="选择年"
							style="width: 110px;">
						</el-date-picker>
						{{$i18n.locale === 'zh-CN'?'年':'Year'}}
						<el-select popper-class="screen-select-picker" v-model="parmas.queryList[11].dateReqVo.month"
							placeholder="请选择开始月份" @change="handleData(e.type,(3+ex))" style="width: 110px;">
							<el-option v-for="item in monthList" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>

					</div>
					<div :id="'topChart'+(3+ex)" class="full2 otherFull"></div>
				</div>
			</div>


		</div>
	</div>
</template>

<script>
	import * as echarts from 'echarts'
	import {
		mapState
	} from 'vuex'
	import moment from "moment"
	import dictUtils from '@/components/dict/DictSelectUtils.js'
	import financialTheme from '@/api/bigScrenn/financialTheme.js'
	import screenHeader from '@/views/BigScrenn/components/screenHeader.vue'
	import echartsTitle from '@/views/BigScrenn/components/echartsTitle.vue'
	export default {
		name: 'moreDialog',
		components: {
			echartsTitle
		},
		data() {
			return {
				visible: false,
				superiorData: {

				},

				parmas: {
					targetId: '',
					queryList: [{
						type: 1,
						dateReqVo: {
							endMonth: '12',
							endYear: null,
							month: null,
							startMonth: '1',
							startYear: null,
							year: moment().subtract(1, 'year').format('YYYY')
						}
					}, {
						type: 2,
						dateReqVo: {
							endMonth: '12',
							endYear: null,
							month: null,
							startMonth: '1',
							startYear: null,
							year: moment().format('YYYY')
						}
					}, {
						type: 3,
						// dateReqVo: {
						// 	endMonth: null,
						// 	endYear: moment().format('YYYY'),
						// 	month: moment().format('M'),
						// 	startMonth: null,
						// 	startYear: moment().subtract(5, 'year').format('YYYY'),
						// 	year: null
						// }
					}, {
						type: 4,
						dateReqVo: {
							endMonth: moment().subtract(1, 'month').format('M'),
							endYear: null,
							month: null,
							startMonth: '2',
							startYear: null,
							year: moment().format('YYYY')
						}
					}, {
						type: 5,
						dateReqVo: {
							endMonth: null,
							endYear: moment().format('YYYY'),
							month: null,
							startMonth: null,
							startYear: moment().subtract(5, 'year').format('YYYY'),
							year: null
						}
					}, {
						type: 6,
						dateReqVo: {
							endMonth: moment().subtract(1, 'month').format('M'),
							endYear: null,
							month: null,
							startMonth: moment().subtract(2, 'month').format('M'),
							startYear: null,
							year: moment().format('YYYY')
						}
					}, {
						type: 7,
						dateReqVo: {
							endMonth: moment().subtract(1, 'month').format('M'),
							endYear: null,
							month: null,
							startMonth: moment().subtract(2, 'month').format('M'),
							startYear: null,
							year: moment().format('YYYY')
						}
					}, {
						type: 8,
						dateReqVo: {
							endMonth: null,
							endYear: moment().subtract(1, 'year').format('YYYY'),
							month: null,
							startMonth: null,
							startYear: moment().subtract(5, 'year').format('YYYY'),
							year: null
						}
					}, {
						type: 9,
						dateReqVo: {
							endMonth: '12',
							endYear: null,
							month: null,
							startMonth: '1',
							startYear: null,
							year: moment().format('YYYY')
						}
					}, {
						type: 10,
						dateReqVo: {
							endMonth: moment().subtract(1, 'month').format('M'),
							endYear: null,
							month: null,
							startMonth: moment().subtract(2, 'month').format('M'),
							startYear: null,
							year: moment().format('YYYY')
						}
					}, {
						type: 11,
						dateReqVo: {
							endMonth: moment().subtract(1, 'month').format('M'),
							endYear: null,
							month: null,
							startMonth: moment().subtract(2, 'month').format('M'),
							startYear: null,
							year: moment().format('YYYY')
						}
					}, {
						type: 12,
						dateReqVo: {
							endMonth: null,
							endYear: null,
							month: moment().subtract(1, 'month').format('M'),
							startMonth: null,
							startYear: null,
							year: moment().format('YYYY')
						}
					}]
				},

				staLatList: [{
						name: '实际值',
						value: 1
					},
					{
						name: '预算值',
						value: 2
					}
				],
				yearData: {}, //年度
				quarterData: {}, //季度
				monthData: {}, //月度
				dataList: [], //其他数据
				datalength: 0, //长度
				leftNum: 0, // 左边展示个数
				rightNum: 0, // 右边展示个数
				leftList: [],
				rightList: [],
				showType: false,
				startDatePicker: this.beginDate(),
				endDatePicker: this.processDate(),
				monthList: [{
					value: '1',
					label: '1'
				}, {
					value: '2',
					label: '2',
				}, {
					value: '3',
					label: '3'
				}, {
					value: '4',
					label: '4'
				}, {
					value: '5',
					label: '5'
				}, {
					value: '6',
					label: '6'
				}, {
					value: '7',
					label: '7'
				}, {
					value: '8',
					label: '8'
				}, {
					value: '9',
					label: '9'
				}, {
					value: '10',
					label: '10'
				}, {
					value: '11',
					label: '11'
				}, {
					value: '12',
					label: '12'
				}],
				pageName: '',
				firstPageName: '',
				secondPageName: '',
				value1: '',
				value1: [],
				topList: [],
				allList: [],
				zbList: [],
				newParams: {
					pageBean: {
						page: 1,
						pageSize: -1,
					},
					querys: []
				},
			}
		},
		created() {
			this.superiorData = this.$route.query
			this.parmas.targetId = this.$route.query.targetId
			this.pageName = window.localStorage.getItem('pageName')
			this.tjwdList = this.$i18n.locale === 'zh-CN' ? dictUtils.getDictItemsFromCache('tjwd') : dictUtils
				.getDictItemsFromCache('tjwd_en')
			this.zbList = dictUtils.getDictItemsFromCache('zb_en')
			this.visible = true
			let currentMonth = moment().format('M')
			if (currentMonth == 1) {
				this.parmas.queryList[3].dateReqVo.endMonth = '12'
				this.parmas.queryList[3].dateReqVo.year = (Number(this.parmas.queryList[3].dateReqVo.year) - 1)
					.toString()
				this.parmas.queryList[5].dateReqVo.endMonth = '12'
				this.parmas.queryList[5].dateReqVo.startMonth = '11'
				this.parmas.queryList[5].dateReqVo.year = (Number(this.parmas.queryList[5].dateReqVo.year) - 1)
					.toString()
				this.parmas.queryList[6].dateReqVo.endMonth = '12'
				this.parmas.queryList[6].dateReqVo.startMonth = '11'
				this.parmas.queryList[6].dateReqVo.year = (Number(this.parmas.queryList[6].dateReqVo.year) - 1)
					.toString()
				this.parmas.queryList[9].dateReqVo.endMonth = '12'
				this.parmas.queryList[9].dateReqVo.startMonth = '11'
				this.parmas.queryList[9].dateReqVo.year = (Number(this.parmas.queryList[9].dateReqVo.year) - 1)
					.toString()
				this.parmas.queryList[10].dateReqVo.endMonth = '12'
				this.parmas.queryList[10].dateReqVo.startMonth = '11'
				this.parmas.queryList[10].dateReqVo.year = (Number(this.parmas.queryList[10].dateReqVo.year) - 1)
					.toString()
			}
			if (currentMonth == 2) {
				this.parmas.queryList[5].dateReqVo.endMonth = '12'
				this.parmas.queryList[5].dateReqVo.startMonth = '12'
				this.parmas.queryList[5].dateReqVo.year = (Number(this.parmas.queryList[5].dateReqVo.year) - 1)
					.toString()
				this.parmas.queryList[6].dateReqVo.endMonth = '12'
				this.parmas.queryList[6].dateReqVo.startMonth = '12'
				this.parmas.queryList[6].dateReqVo.year = (Number(this.parmas.queryList[6].dateReqVo.year) - 1)
					.toString()
				this.parmas.queryList[9].dateReqVo.endMonth = '12'
				this.parmas.queryList[9].dateReqVo.startMonth = '12'
				this.parmas.queryList[9].dateReqVo.year = (Number(this.parmas.queryList[9].dateReqVo.year) - 1)
					.toString()
				this.parmas.queryList[10].dateReqVo.endMonth = '12'
				this.parmas.queryList[10].dateReqVo.startMonth = '12'
				this.parmas.queryList[10].dateReqVo.year = (Number(this.parmas.queryList[10].dateReqVo.year) - 1)
					.toString()
			}
			this.getData()
			this.getAreaTree()
		},
		mounted() {},
		methods: {


			// 选择年份范围选择时开始时间不能大于结束时间，结束时间不能小于开始时间
			// 提出开始时间必须小于提出结束时间
			beginDate() {
				let self = this
				return {
					disabledDate(time) {
						if (self.parmas.endYear !== '') {
							let fixedTime = new Date(time)
							return fixedTime.getFullYear() > self.parmas.endYear
						}
					}
				}
			},
			// 提出结束时间必须大于提出开始时间
			processDate() {
				let self = this
				return {
					disabledDate(time) {
						let fixedTime = new Date(time)
						return fixedTime.getFullYear() < self.parmas.startYear
					}
				}
			},
			handleData(val, index) {
				financialTheme.getData(this.parmas, res => {
					if (res.value) {
						res.value.sort(this.arraySort('type'))
						// if (val == 1) {
						this.$nextTick(() => {
							this.dataEcharts(res.value[index], index)
						})
						// } else if (val == 2) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 3) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 4) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 5) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 6) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 7) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 8) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 9) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 10) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 11) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// } else if (val == 12) {
						// 	this.$nextTick(() => {
						// 		this.dataEcharts(res.value[index], index)
						// 	})
						// }
					}

				})
			},
			arraySort(property) {
				return function(a, b) {
					var value1 = a[property]
					var value2 = b[property]
					return value1 - value2
				}
			},
			getData() {
				// if (this.pageName === '企业驾驶舱') {
				let enterpriseCode = window.localStorage.getItem('enterpriseCode')
				if (enterpriseCode) {
					this.parmas.enterpriseCode = enterpriseCode.split(',')[1]
				}
				// } else {

				// }
				this.showType = false
				this.dataList = []
				financialTheme.getData(this.parmas, res => {
					if (res.value) {
						res.value.forEach(e => {
							this.dataList.push(e)
						})
						this.dataList.sort(this.arraySort('type'))
						this.dataList.forEach((c, cx) => {
							this.$nextTick(() => {
								this.dataEcharts(c, cx)
							})
						})
					}


				})
			},
			//其他
			dataEcharts(c, cx) {
				console.log(1);
				let otherChart = echarts.getInstanceByDom(document.getElementById(
					`topChart${cx}`)); //有的话就获取已有echarts实例的DOM节点。
				if (otherChart == null) { // 如果不存在，就进行初始化。
					otherChart = echarts.init(document.getElementById(`topChart${cx}`));
				}
				otherChart.off('click');
				let option = {}
				let xLabel = []
				//折线图
				if (c.type == 1 || c.type == 2 || c.type == 5) {
					let arr = []
					c.resultData.forEach(r => {
						if (c.type == 5) {
							xLabel.push(r.year)
						} else {
							xLabel.push(r.year + '.' + r.month)
						}

					})
					if (c.staLat.split(',').length > 1) {
						this.tjwdList.forEach(s => {
							c.staLat.split(',').forEach(t => {
								if (s.value == t) {
									let datalist = []
									if (t == 1) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 2) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 3) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 4) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 5) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 6) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									}
									if (t == 1 || t == 3) {
										arr.push({
											name: s.name,
											type: 'bar',
											symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
											smooth: true,
											lineStyle: {
												normal: {
													width: 3,
												},
											},
											itemStyle: {
												normal: {
													label: {
														show: false, //开启显示
														color: '#fff',
														position: 'top', //在上方显示
														formatter: function(res) {
															if (res.value) {
																return res.value
															} else {
																return 0
															}
														},
													},
												},

											},
											symbolSize: 8, //设定实心点的大小
											data: datalist

										}, )
									} else {
										arr.push({
											name: s.name,
											type: 'line',
											symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
											smooth: true,
											lineStyle: {
												normal: {
													width: 3,
												},
											},
											itemStyle: {
												normal: {
													label: {
														show: false, //开启显示
														color: '#fff',
														position: 'top', //在上方显示
														formatter: function(res) {
															if (res.value) {
																return res.value
															} else {
																return 0
															}
														},
													},
												},

											},
											symbolSize: 8, //设定实心点的大小
											data: datalist

										}, )
									}
								}
							})
						})
					} else {
						this.tjwdList.forEach(s => {
							let data1list = []
							if (c.staLat == 1) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 2) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 3) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 4) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 5) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 6) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							}
							if (s.value == c.staLat) {
								arr.push({
									name: s.name,
									type: 'line',
									symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
									smooth: true,
									lineStyle: {
										normal: {
											width: 3,
											// color: '#518EF5', // 线条颜色
										},
									},
									itemStyle: {
										normal: {
											// color: '#518EF5', //拐点颜色
											// borderColor: '#fff600',//拐点边框颜色
											// borderWidth: 13//拐点边框大小
											label: {
												show: false, //开启显示
												color: '#fff',
												position: 'top', //在上方显示
												formatter: function(res) {
													if (res.value) {
														return res.value
													} else {
														return 0
													}
												},
											},
										},

									},
									symbolSize: 8, //设定实心点的大小
									data: data1list
								}, )
							}
						})
					}

					option = {
						backgroundColor: '',
						tooltip: {
							trigger: 'axis',

						},
						legend: {
							show: true,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '18%',
							left: '14%',
							right: '5%',
							bottom: '14%',
						},
						xAxis: [{
							type: 'category',

							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
							splitLine: {
								show: false,
								lineStyle: {
									color: '#233653',
								},
							},
							axisTick: {
								show: false,
							},
							data: xLabel,
						}, ],
						yAxis: [{
							// name: c.targetUnit,
							nameTextStyle: {
								color: "#fff",
								fontSize: 12,
								padding: [0, 60, 0, 0]
							},
							type: 'value',
							splitLine: {
								show: true,
								lineStyle: {
									color: '#1160a0',
									type: 'dashed'
								},
							},
							axisLabel: {
								interval: 0, //标签设置为全部显示
								formatter: function(params) {
									const units = ['', '万', '百万', '亿', '万亿'];
									let unitIndex = 0;
									if (params < 0) {
										params = Math.abs(params)
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}
										params = (0 - params)

									} else {
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}

									}
									const formattedNumber = params

									return formattedNumber + units[unitIndex];
								},
								textStyle: {
									color: '#fff',
									fontSize: 14
								}
							},
							axisTick: {
								show: false,
							},
							triggerEvent: true

						}, ],
						series: arr
					}
				} else if (c.type == 3) {
					//柱状图
					let arr = []
					let lableList = []
					c.resultData.forEach(r => {
						lableList.push(r.year)
						xLabel.push(r.month + '月')
					})
					xLabel = Array.from(new Set(xLabel));
					let Label = Array.from(new Set(lableList)).concat(['增减率'])
					// Label.concat(['增减率'])
					Label.forEach(s => {
						let datalist = []
						console.log(s);
						if (s == '增减率') {
							c.resultData.forEach(r => {
								if (r.year == Label[0]) {
									datalist.push(r.growthRate)
								}
							})
							arr.push({
								name: this.$i18n.locale === 'zh-CN' ? '增减率' :
									'Rate of increase and decrease',
								type: 'line',
								yAxisIndex: 1,
								symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
								smooth: true,
								lineStyle: {
									normal: {
										width: 3,
										// color: '#518EF5', // 线条颜色
									},
								},
								itemStyle: {
									normal: {
										// color: '#518EF5', //拐点颜色
										// borderColor: '#fff600',//拐点边框颜色
										// borderWidth: 13//拐点边框大小
										label: {
											show: false, //开启显示
											color: '#fff',
											position: 'top', //在上方显示
											formatter: function(res) {
												if (res.value) {
													return res.value
												} else {
													return 0
												}
											},
										},
									},

								},
								symbolSize: 8, //设定实心点的大小
								data: datalist

							}, )
						} else {
							c.resultData.forEach(r => {
								if (r.year == s) {
									datalist.push(r.actual)
								}
							})
							arr.push({
								name: s,
								type: 'bar',
								symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
								smooth: true,
								lineStyle: {
									normal: {
										width: 3,
										// color: '#518EF5', // 线条颜色
									},
								},
								itemStyle: {
									normal: {
										// color: '#518EF5', //拐点颜色
										// borderColor: '#fff600',//拐点边框颜色
										// borderWidth: 13//拐点边框大小
										label: {
											show: false, //开启显示
											color: '#fff',
											position: 'top', //在上方显示
											formatter: function(res) {
												if (res.value) {
													return res.value
												} else {
													return 0
												}
											},
										},
									},

								},
								symbolSize: 8, //设定实心点的大小
								data: datalist

							}, )
						}

					})
					option = {
						backgroundColor: '',
						tooltip: {
							trigger: 'axis',

						},
						legend: {
							show: true,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '18%',
							left: '14%',
							right: '10%',
							bottom: '14%',
						},
						xAxis: [{
							type: 'category',

							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
							splitLine: {
								show: false,
								lineStyle: {
									color: '#233653',
								},
							},
							axisTick: {
								show: false,
							},
							data: xLabel,
						}, ],
						yAxis: [{
							// name: c.targetUnit,
							nameTextStyle: {
								color: "#fff",
								fontSize: 12,
								padding: [0, 60, 0, 0]
							},
							type: 'value',
							splitLine: {
								show: true,
								lineStyle: {
									color: '#1160a0',
									type: 'dashed'
								},
							},
							axisLabel: {
								interval: 0, //标签设置为全部显示
								formatter: function(params) {
									const units = ['', '万', '百万', '亿', '万亿'];
									let unitIndex = 0;
									if (params < 0) {
										params = Math.abs(params)
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}
										params = (0 - params)

									} else {
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}

									}
									const formattedNumber = params

									return formattedNumber + units[unitIndex];
								},
								textStyle: {
									color: '#fff',
									fontSize: 14
								}
							},
							axisTick: {
								show: false,
							},
							triggerEvent: true

						}, {
							type: 'value',
							name: "%",
							// min: 0,
							nameTextStyle: {
								color: "#fff",
							},
							axisLine: {
								lineStyle: {
									color: '#0a3e98'
								}
							},
							axisTick: {
								show: false,
							},
							splitLine: {
								show: true,
								lineStyle: {
									color: '#0a3e98',
									type: "dotted",
								}
							},
							axisLabel: {
								formatter: '{value}',
								textStyle: {
									color: "#fff",
								}
							},
						}],
						series: arr
					}

				} else if (c.type == 4) {
					let arr = []
					c.resultData.forEach(r => {
						if (c.type == 5) {
							xLabel.push(r.year)
						} else {
							xLabel.push(r.year + '.' + r.month)
						}

					})
					if (c.staLat.split(',').length > 1) {
						this.tjwdList.forEach(s => {
							c.staLat.split(',').forEach(t => {
								if (s.value == t) {
									let datalist = []
									if (t == 1) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 2) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 3) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 4) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 5) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 6) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 14) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									}
									arr.push({
										name: s.name,
										type: 'bar',
										symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
										smooth: true,
										lineStyle: {
											normal: {
												width: 3,
											},
										},
										itemStyle: {
											normal: {
												label: {
													show: false, //开启显示
													color: '#fff',
													position: 'top', //在上方显示
													formatter: function(res) {
														if (res.value) {
															return res.value
														} else {
															return 0
														}
													},
												},
											},

										},
										symbolSize: 8, //设定实心点的大小
										data: datalist

									}, )
								}
							})
						})
					} else {
						let growthList = []
						this.tjwdList.forEach(s => {
							let data1list = []
							growthList = []
							if (c.staLat == 1) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
									growthList.push(r.growthRate)
								})
							} else if (c.staLat == 2) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
									growthList.push(r.growthRate)
								})
							} else if (c.staLat == 3) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
									growthList.push(r.growthRate)
								})
							} else if (c.staLat == 4) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
									growthList.push(r.growthRate)
								})
							} else if (c.staLat == 5) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
									growthList.push(r.growthRate)
								})
							} else if (c.staLat == 6) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
									growthList.push(r.growthRate)
								})
							} else if (c.staLat == 14) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
									growthList.push(r.growthRate)
								})
							}
							if (s.value == c.staLat) {
								arr.push({
									name: s.name,
									type: 'bar',
									symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
									smooth: true,
									lineStyle: {
										normal: {
											width: 3,
											// color: '#518EF5', // 线条颜色
										},
									},
									itemStyle: {
										normal: {
											// color: '#518EF5', //拐点颜色
											// borderColor: '#fff600',//拐点边框颜色

											// borderWidth: 13//拐点边框大小
											label: {
												show: false, //开启显示
												color: '#fff',
												position: 'top', //在上方显示
												formatter: function(res) {
													if (res.value) {
														return res.value
													} else {
														return 0
													}
												},
											},
										},

									},
									symbolSize: 8, //设定实心点的大小
									data: data1list
								}, )
							}
						})
						arr.push({
							name: this.$i18n.locale === 'zh-CN' ? '增减率' :
								'Rate of increase and decrease',
							type: 'line',
							yAxisIndex: 1,
							symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
							smooth: true,
							lineStyle: {
								normal: {
									width: 3,
									// color: '#518EF5', // 线条颜色
								},
							},
							itemStyle: {
								normal: {
									// color: '#518EF5', //拐点颜色
									// borderColor: '#fff600',//拐点边框颜色

									// borderWidth: 13//拐点边框大小
									label: {
										show: false, //开启显示
										color: '#fff',
										position: 'top', //在上方显示
										formatter: function(res) {
											if (res.value) {
												return res.value
											} else {
												return 0
											}
										},
									},
								},

							},
							symbolSize: 8, //设定实心点的大小
							data: growthList
						}, )
					}

					option = {
						backgroundColor: '',
						tooltip: {
							trigger: 'axis',

						},
						legend: {
							show: true,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '18%',
							left: '14%',
							right: '10%',
							bottom: '14%',
						},
						xAxis: [{
							type: 'category',

							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
							splitLine: {
								show: false,
								lineStyle: {
									color: '#233653',
								},
							},
							axisTick: {
								show: false,
							},
							data: xLabel,
						}, ],
						yAxis: [{
								nameTextStyle: {
									color: "#fff",
									fontSize: 12,
									padding: [0, 60, 0, 0]
								},
								type: 'value',
								splitLine: {
									show: true,
									lineStyle: {
										color: '#1160a0',
										type: 'dashed'
									},
								},
								axisLabel: {
									interval: 0, //标签设置为全部显示
									formatter: function(params) {
										let num = ''
										let unit = '';
										var k = 10000,
											sizes = ['', '万', '亿', '万亿'],
											i;
										if (params < 0) {
											params = Math.abs(params)
											if (params < k) {
												params = params;
											} else {
												i = Math.floor(Math.log(params) / Math.log(k));
												params = ((params / Math.pow(k, i))).toFixed(0);
												unit = sizes[i];
											}
											num = (0 - params) + unit;
										} else {
											if (params < k) {
												params = params;
											} else {
												i = Math.floor(Math.log(params) / Math.log(k));
												params = ((params / Math.pow(k, i))).toFixed(0);
												unit = sizes[i];
											}
											num = params + unit;
										}
										return num

									},
									textStyle: {
										color: '#fff',
										fontSize: 14
									}
								},
								axisTick: {
									show: false,
								},
								triggerEvent: true

							},
							{
								type: 'value',
								name: "%",
								// min: 0,
								nameTextStyle: {
									color: "#fff",
								},
								axisLine: {
									lineStyle: {
										color: '#0a3e98'
									}
								},
								axisTick: {
									show: false,
								},
								splitLine: {
									show: true,
									lineStyle: {
										color: '#0a3e98',
										type: "dotted",
									}
								},
								axisLabel: {
									formatter: '{value}',
									textStyle: {
										color: "#fff",
									}
								},
							}
						],
						series: arr
					}

				} else if (c.type == 6 || c.type == 7) {
					//柱状图
					let arr = []
					c.resultData.forEach(r => {
						if (c.type == 3) {
							xLabel.push(r.year + '.' + r.month)
						} else if (c.type == 4) {
							xLabel.push(r.year + '.' + r.month)
						} else if (c.type == 6) {
							xLabel.push(r.enterpriseCode)
						} else if (c.type == 7) {
							xLabel.push(r.enterpriseCode)
						}

					})
					if (c.staLat.split(',').length > 1) {
						this.tjwdList.forEach(s => {
							c.staLat.split(',').forEach(t => {
								if (s.value == t) {
									let datalist = []
									if (t == 1) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 2) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 3) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 4) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 5) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 6) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 14) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									}
									arr.push({
										name: s.name,
										type: 'bar',
										symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
										smooth: true,
										lineStyle: {
											normal: {
												width: 3,
												// color: '#518EF5', // 线条颜色
											},
										},
										itemStyle: {
											normal: {
												// color: '#518EF5', //拐点颜色
												// borderColor: '#fff600',//拐点边框颜色
												// borderWidth: 13//拐点边框大小
												label: {
													show: false, //开启显示
													color: '#fff',
													position: 'top', //在上方显示
													formatter: function(res) {
														if (res.value) {
															return res.value
														} else {
															return 0
														}
													},
												},
											},

										},
										symbolSize: 8, //设定实心点的大小
										data: datalist

									}, )
								}
							})
						})
					} else {
						this.tjwdList.forEach(s => {
							let data1list = []
							if (c.staLat == 1) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 2) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 3) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 4) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 5) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 6) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 14) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							}
							if (s.value == c.staLat) {
								arr.push({
									name: s.name,
									type: 'bar',
									symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
									smooth: true,
									lineStyle: {
										normal: {
											width: 3,
											// color: '#518EF5', // 线条颜色
										},
									},
									itemStyle: {
										normal: {
											// color: '#518EF5', //拐点颜色
											// borderColor: '#fff600',//拐点边框颜色
											// borderWidth: 13//拐点边框大小
											label: {
												show: false, //开启显示
												color: '#fff',
												position: 'top', //在上方显示
												formatter: function(res) {
													if (res.value) {
														return res.value
													} else {
														return 0
													}
												},
											},
										},

									},
									symbolSize: 8, //设定实心点的大小
									data: data1list
								}, )
							}
						})
					}

					option = {
						backgroundColor: '',
						tooltip: {
							trigger: 'axis',
							// 自定义tooltip内容
							formatter: (item) => {
								let str =
									`<div style="text-align:center;font-weight:700;font-size:16px">${item[0].name}</div>`
								let index = 0 // 命名一个索引，用于匹配增减值、增减率
								let leftClass =
									`<span style="display: inline-block; width: ${this.$i18n.locale === 'zh-CN'?'100px':'150px'}; text-align: left;">`
								let rightClass =
									'<span style="display: inline-block; width: 80px; text-align: right;">'
								item.forEach(it => {
									str +=
										`${ leftClass + it.seriesName}:</span>${ rightClass + it.value}</span></br>`
									index = it.dataIndex
								})
								if (c.resultData[index].differenceValue !== undefined) {
									str = str +
										`${leftClass}${this.$i18n.locale === 'zh-CN'?'增减值':'Value of increase or decrease'}:</span>${rightClass + c.resultData[index].differenceValue}</span></br>`
									if (c.resultData[index].differenceRate !== undefined) {
										str = str +
											`${leftClass}${this.$i18n.locale === 'zh-CN'?'增减率':'Rate of increase and decrease'}:</span>${rightClass + c.resultData[index].differenceRate}</span>`
									}
								}
								return str
							}
						},
						legend: {
							show: true,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '18%',
							left: '14%',
							right: '5%',
							bottom: '16%',
						},
						xAxis: [{
							type: 'category',

							axisLabel: {
								interval: 0,
								rotate: 45,
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
							splitLine: {
								show: false,
								lineStyle: {
									color: '#233653',
								},
							},
							axisTick: {
								show: false,
							},
							data: xLabel,
						}, ],
						yAxis: [{
							// name: c.targetUnit,
							nameTextStyle: {
								color: "#fff",
								fontSize: 12,
								padding: [0, 60, 0, 0]
							},
							type: 'value',
							splitLine: {
								show: true,
								lineStyle: {
									color: '#1160a0',
									type: 'dashed'
								},
							},
							axisLabel: {
								interval: 0, //标签设置为全部显示
								formatter: function(params) {
									const units = ['', '万', '百万', '亿', '万亿'];
									let unitIndex = 0;
									if (params < 0) {
										params = Math.abs(params)
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}
										params = (0 - params)

									} else {
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}

									}
									const formattedNumber = params

									return formattedNumber + units[unitIndex];
								},
								textStyle: {
									color: '#fff',
									fontSize: 14
								}
							},
							axisTick: {
								show: false,
							},
							triggerEvent: true

						}, ],
						series: arr
					}
				}
				// else if (c.type == 5) {
				// 	//柱状与折线图
				// 	let arr = []
				// 	c.resultData.forEach(r => {
				// 		xLabel.push(r.year)
				// 	})
				// 	if (c.staLat.split(',').length > 1) {
				// 		this.tjwdList.forEach(s => {
				// 			c.staLat.split(',').forEach(t => {
				// 				if (s.value == t) {
				// 					let datalist = []
				// 					if (t == 1) {
				// 						c.resultData.forEach(r => {
				// 							datalist.push(r.actual)
				// 						})
				// 					} else if (t == 2) {
				// 						c.resultData.forEach(r => {
				// 							datalist.push(r.budget)
				// 						})
				// 					} else if (t == 3) {
				// 						c.resultData.forEach(r => {
				// 							datalist.push(r.actual)
				// 						})
				// 					} else if (t == 4) {
				// 						c.resultData.forEach(r => {
				// 							datalist.push(r.budget)
				// 						})
				// 					} else if (t == 5) {
				// 						c.resultData.forEach(r => {
				// 							datalist.push(r.actual)
				// 						})
				// 					} else if (t == 6) {
				// 						c.resultData.forEach(r => {
				// 							datalist.push(r.actual)
				// 						})
				// 					}
				// 					let array = {

				// 					}
				// 					if (t == 3) {
				// 						array = {
				// 							name: s.name,
				// 							type: 'bar',
				// 							symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
				// 							smooth: true,
				// 							lineStyle: {
				// 								normal: {
				// 									width: 3,
				// 									// color: '#518EF5', // 线条颜色
				// 								},
				// 							},
				// 							itemStyle: {
				// 								normal: {
				// 									// color: '#518EF5', //拐点颜色
				// 									// borderColor: '#fff600',//拐点边框颜色
				// 									// borderWidth: 13//拐点边框大小
				// 									label: {
				// 										show: false, //开启显示
				// 										color: '#fff',
				// 										position: 'top', //在上方显示
				// 										formatter: function(res) {
				// 											if (res.value) {
				// 												return res.value
				// 											} else {
				// 												return 0
				// 											}
				// 										},
				// 									},
				// 								},

				// 							},
				// 							symbolSize: 8, //设定实心点的大小
				// 							data: datalist

				// 						}
				// 					} else if (t == 4) {
				// 						array = {
				// 							name: s.name,
				// 							type: 'line',
				// 							symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
				// 							smooth: true,
				// 							lineStyle: {
				// 								normal: {
				// 									width: 3,
				// 									// color: '#518EF5', // 线条颜色
				// 								},
				// 							},
				// 							itemStyle: {
				// 								normal: {
				// 									// color: '#518EF5', //拐点颜色
				// 									// borderColor: '#fff600',//拐点边框颜色
				// 									// borderWidth: 13//拐点边框大小
				// 									label: {
				// 										show: false, //开启显示
				// 										color: '#fff',
				// 										position: 'top', //在上方显示
				// 										formatter: function(res) {
				// 											if (res.value) {
				// 												return res.value
				// 											} else {
				// 												return 0
				// 											}
				// 										},
				// 									},
				// 								},

				// 							},
				// 							symbolSize: 8, //设定实心点的大小
				// 							data: datalist

				// 						}
				// 					}
				// 					arr.push(array)
				// 				}
				// 			})
				// 		})
				// 	} else {
				// 		this.tjwdList.forEach(s => {
				// 			let data1list = []
				// 			if (c.staLat == 1) {
				// 				c.resultData.forEach(r => {
				// 					data1list.push(r.actual)
				// 				})
				// 			} else if (c.staLat == 2) {
				// 				c.resultData.forEach(r => {
				// 					data1list.push(r.budget)
				// 				})
				// 			} else if (c.staLat == 3) {
				// 				c.resultData.forEach(r => {
				// 					data1list.push(r.actual)
				// 				})
				// 			} else if (c.staLat == 4) {
				// 				c.resultData.forEach(r => {
				// 					data1list.push(r.budget)
				// 				})
				// 			} else if (c.staLat == 5) {
				// 				c.resultData.forEach(r => {
				// 					data1list.push(r.actual)
				// 				})
				// 			} else if (c.staLat == 6) {
				// 				c.resultData.forEach(r => {
				// 					data1list.push(r.actual)
				// 				})
				// 			}
				// 			if (s.value == c.staLat) {
				// 				arr.push({
				// 					name: s.name,
				// 					type: 'bar',
				// 					symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
				// 					smooth: true,
				// 					lineStyle: {
				// 						normal: {
				// 							width: 3,
				// 							// color: '#518EF5', // 线条颜色
				// 						},
				// 					},
				// 					itemStyle: {
				// 						normal: {
				// 							// color: '#518EF5', //拐点颜色
				// 							// borderColor: '#fff600',//拐点边框颜色
				// 							// borderWidth: 13//拐点边框大小
				// 							label: {
				// 								show: false, //开启显示
				// 								color: '#fff',
				// 								position: 'top', //在上方显示
				// 								formatter: function(res) {
				// 									if (res.value) {
				// 										return res.value
				// 									} else {
				// 										return 0
				// 									}
				// 								},
				// 							},
				// 						},

				// 					},
				// 					symbolSize: 8, //设定实心点的大小
				// 					data: data1list
				// 				}, )
				// 			}
				// 		})
				// 	}

				// 	option = {
				// 		backgroundColor: '',
				// 		tooltip: {
				// 			trigger: 'axis',

				// 		},
				// 		legend: {
				// 			show: true,
				// 			textStyle: {
				// 				color: '#fff',
				// 				fontSize: 14,
				// 				padding: [0, 8, 0, 8]
				// 			}
				// 		},
				// 		grid: {
				// 			top: '18%',
				// 			left: '14%',
				// 			right: '5%',
				// 			bottom: '14%',
				// 		},
				// 		xAxis: [{
				// 			type: 'category',

				// 			axisLabel: {
				// 				textStyle: {
				// 					color: '#FFFFFF',
				// 					fontSize: 12,
				// 				},
				// 			},
				// 			splitLine: {
				// 				show: false,
				// 				lineStyle: {
				// 					color: '#233653',
				// 				},
				// 			},
				// 			axisTick: {
				// 				show: false,
				// 			},
				// 			data: xLabel,
				// 		}, ],
				// 		yAxis: [{
				// 			// name: c.targetUnit,
				// 			nameTextStyle: {
				// 				color: "#fff",
				// 				fontSize: 12,
				// 				padding: [0, 60, 0, 0]
				// 			},
				// 			type: 'value',
				// 			splitLine: {
				// 				show: true,
				// 				lineStyle: {
				// 					color: '#1160a0',
				// 					type: 'dashed'
				// 				},
				// 			},
				// 			axisLabel: {
				// 				interval: 0, //标签设置为全部显示
				// 				formatter: function(params) {
				// 					let num = ''
				// 					let unit = '';
				// 					var k = 10000,
				// 						sizes = ['', '万', '亿', '万亿'],
				// 						i;
				// 					if (params < 0) {
				// 						params = Math.abs(params)
				// 						if (params < k) {
				// 							params = params;
				// 						} else {
				// 							i = Math.floor(Math.log(params) / Math.log(k));
				// 							params = ((params / Math.pow(k, i))).toFixed(0);
				// 							unit = sizes[i];
				// 						}
				// 						num = (0 - params) + unit;
				// 					} else {
				// 						if (params < k) {
				// 							params = params;
				// 						} else {
				// 							i = Math.floor(Math.log(params) / Math.log(k));
				// 							params = ((params / Math.pow(k, i))).toFixed(0);
				// 							unit = sizes[i];
				// 						}
				// 						num = params + unit;
				// 					}
				// 					return num

				// 				},
				// 				textStyle: {
				// 					color: '#fff',
				// 					fontSize: 14
				// 				}
				// 			},
				// 			axisTick: {
				// 				show: false,
				// 			},
				// 			triggerEvent: true

				// 		}, ],
				// 		series: arr
				// 	}

				// } 
				else if (c.type == 8) {
					let arr = []
					c.resultData.forEach(r => {
						xLabel.push(r.year)
					})
					if (c.staLat.split(',').length > 1) {
						this.tjwdList.forEach(s => {
							c.staLat.split(',').forEach(t => {
								if (s.value == t) {
									let datalist = []
									if (t == 1) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 2) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 3) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 4) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 5) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 6) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									}
									arr.push({
										name: s.name,
										type: 'line',
										symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
										smooth: true,
										lineStyle: {
											normal: {
												width: 3,
											},
										},
										itemStyle: {
											normal: {
												label: {
													show: false, //开启显示
													color: '#fff',
													position: 'top', //在上方显示
													formatter: function(res) {
														if (res.value) {
															return res.value
														} else {
															return 0
														}
													},
												},
											},

										},
										symbolSize: 8, //设定实心点的大小
										data: datalist

									}, )
								}
							})
						})
					} else {
						this.tjwdList.forEach(s => {
							let data1list = []
							if (c.staLat == 1) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 2) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 3) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 4) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 5) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 6) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							}
							if (s.value == c.staLat) {
								arr.push({
									name: s.name,
									type: 'bar',
									symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
									smooth: true,
									lineStyle: {
										normal: {
											width: 3,
											// color: '#518EF5', // 线条颜色
										},
									},
									itemStyle: {
										normal: {
											// color: '#518EF5', //拐点颜色
											// borderColor: '#fff600',//拐点边框颜色
											// borderWidth: 13//拐点边框大小
											label: {
												show: false, //开启显示
												color: '#fff',
												position: 'top', //在上方显示
												formatter: function(res) {
													if (res.value) {
														return res.value
													} else {
														return 0
													}
												},
											},
										},

									},
									symbolSize: 8, //设定实心点的大小
									data: data1list
								}, )
							}
						})
					}

					option = {
						backgroundColor: '',
						tooltip: {
							trigger: 'axis',

						},
						legend: {
							show: true,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '18%',
							left: '14%',
							right: '5%',
							bottom: '14%',
						},
						xAxis: [{
							type: 'category',

							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
							splitLine: {
								show: false,
								lineStyle: {
									color: '#233653',
								},
							},
							axisTick: {
								show: false,
							},
							data: xLabel,
						}, ],
						yAxis: [{
							// name: c.targetUnit,
							nameTextStyle: {
								color: "#fff",
								fontSize: 12,
								padding: [0, 60, 0, 0]
							},
							type: 'value',
							splitLine: {
								show: true,
								lineStyle: {
									color: '#1160a0',
									type: 'dashed'
								},
							},
							axisLabel: {
								interval: 0, //标签设置为全部显示
								formatter: function(params) {
									const units = ['', '万', '百万', '亿', '万亿'];
									let unitIndex = 0;
									if (params < 0) {
										params = Math.abs(params)
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}
										params = (0 - params)

									} else {
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}

									}
									const formattedNumber = params

									return formattedNumber + units[unitIndex];
								},
								textStyle: {
									color: '#fff',
									fontSize: 14
								}
							},
							axisTick: {
								show: false,
							},
							triggerEvent: true

						}, ],
						series: arr
					}
				} else if (c.type == 9) {
					let arr = []
					c.resultData.forEach(r => {
						xLabel.push(r.year + '.' + r.month)
					})
					if (c.staLat.split(',').length > 1) {
						this.tjwdList.forEach(s => {
							c.staLat.split(',').forEach(t => {
								if (s.value == t) {
									let datalist = []
									if (t == 1) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 2) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 3) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 4) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 5) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 6) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									}
									arr.push({
										name: s.name,
										type: 'line',
										symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
										smooth: true,
										lineStyle: {
											normal: {
												width: 3,
											},
										},
										itemStyle: {
											normal: {
												label: {
													show: false, //开启显示
													color: '#fff',
													position: 'top', //在上方显示
													formatter: function(res) {
														if (res.value) {
															return res.value
														} else {
															return 0
														}
													},
												},
											},

										},
										symbolSize: 8, //设定实心点的大小
										data: datalist

									}, )
								}
							})
						})
					} else {
						this.tjwdList.forEach(s => {
							let data1list = []
							if (c.staLat == 1) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 2) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 3) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 4) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 5) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 6) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							}
							if (s.value == c.staLat) {
								arr.push({
									name: s.name,
									type: 'line',
									symbol: 'circle', // 默认是空心圆（中间是白色的），改成实心圆
									smooth: true,
									lineStyle: {
										normal: {
											width: 3,
											// color: '#518EF5', // 线条颜色
										},
									},
									itemStyle: {
										normal: {
											// color: '#518EF5', //拐点颜色
											// borderColor: '#fff600',//拐点边框颜色
											// borderWidth: 13//拐点边框大小
											label: {
												show: false, //开启显示
												color: '#fff',
												position: 'top', //在上方显示
												formatter: function(res) {
													if (res.value) {
														return res.value
													} else {
														return 0
													}
												},
											},
										},

									},
									symbolSize: 8, //设定实心点的大小
									data: data1list
								}, )
							}
						})
					}

					option = {
						backgroundColor: '',
						tooltip: {
							trigger: 'axis',

						},
						legend: {
							show: true,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '18%',
							left: '14%',
							right: '5%',
							bottom: '14%',
						},
						xAxis: [{
							type: 'category',

							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
							splitLine: {
								show: false,
								lineStyle: {
									color: '#233653',
								},
							},
							axisTick: {
								show: false,
							},
							data: xLabel,
						}, ],
						yAxis: [{
							// name: c.targetUnit,
							nameTextStyle: {
								color: "#fff",
								fontSize: 12,
								padding: [0, 60, 0, 0]
							},
							type: 'value',
							splitLine: {
								show: true,
								lineStyle: {
									color: '#1160a0',
									type: 'dashed'
								},
							},
							axisLabel: {
								interval: 0, //标签设置为全部显示
								formatter: function(params) {
									const units = ['', '万', '百万', '亿', '万亿'];
									let unitIndex = 0;
									if (params < 0) {
										params = Math.abs(params)
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}
										params = (0 - params)

									} else {
										while (params >= 10000 && unitIndex < units.length - 1) {
											params /= 10000;
											unitIndex++;
										}

									}
									const formattedNumber = params

									return formattedNumber + units[unitIndex];
								},
								textStyle: {
									color: '#fff',
									fontSize: 14
								}
							},
							axisTick: {
								show: false,
							},
							triggerEvent: true

						}, ],
						series: arr
					}
				} else if (c.type == 10 || c.type == 12) {
					let arr = []
					c.resultData.forEach(r => {
						xLabel.push(r.enterpriseCode)
					})
					if (c.staLat.split(',').length > 1) {
						this.tjwdList.forEach(s => {
							c.staLat.split(',').forEach(t => {
								if (s.value == t) {
									let datalist = []
									let markValue = c.resultData[0].budget ? c.resultData[0].budget : 0
									if (t == 1) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 2) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 3) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 4) {
										c.resultData.forEach(r => {
											datalist.push(r.budget)
										})
									} else if (t == 5) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									} else if (t == 6) {
										c.resultData.forEach(r => {
											datalist.push(r.actual)
										})
									}
									let markData = {}
									if (c.resultData[0].budget) {
										markData = {
											symbol: "none", //去掉均值最后面的箭头
											label: {
												position: "end", //将警示值放在哪个位置，三个值“start”,"middle","end"  开始  中点 结束
												formatter: "集团均值" + '(' + c.resultData[0].budget + ')',
												color: '#ffffff'
											},
											data: [{
												silent: false, //鼠标悬停事件  true没有，false有
												lineStyle: { //均值的样式  ，虚实  颜色
													type: "solid",
													color: "#00ff40",
													width: 4
												},
												name: '集团均值',
												xAxis: markValue
											}]
										}
									}
									arr.push({
										name: s.name,
										type: 'bar',
										itemStyle: {
											textStyle: {
												fontWeight: 700,
											},
											color: function(params) {
												if (params.value * 1 >= 0) {
													return "#748EDE";
												}
												return "red";
											},
										},
										markLine: markData,
										data: datalist

									}, )
								}
							})
						})
					} else {
						let markValue = c.resultData.budget ? c.resultData[0].budget : 0
						this.tjwdList.forEach(s => {
							let data1list = []
							if (c.staLat == 1) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 2) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 3) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 4) {
								c.resultData.forEach(r => {
									data1list.push(r.budget)
								})
							} else if (c.staLat == 5) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							} else if (c.staLat == 6) {
								c.resultData.forEach(r => {
									data1list.push(r.actual)
								})
							}
							if (s.value == c.staLat) {
								let markData = {}
								if (c.resultData[0].budget) {
									markData = {
										symbol: "none", //去掉均值最后面的箭头
										label: {
											position: "end", //将警示值放在哪个位置，三个值“start”,"middle","end"  开始  中点 结束
											formatter: "集团均值" + '(' + c.resultData[0].budget + ')',
											color: '#ffffff'
										},
										data: [{
											silent: false, //鼠标悬停事件  true没有，false有
											lineStyle: { //均值的样式  ，虚实  颜色
												type: "solid",
												color: "#00ff40",
												width: 4
											},
											name: '集团均值',
											xAxis: markValue
										}]
									}
								}
								arr.push({
									name: s.name,
									type: 'bar',
									itemStyle: {
										textStyle: {
											fontWeight: 700,
										},
										color: function(params) {
											if (params.value * 1 >= 0) {
												return "#748EDE";
											}
											return "red";
										},
									},
									markLine: markData,
									data: data1list
								}, )
							}
						})
					}
					console.log(arr);
					option = {

						tooltip: {
							trigger: 'axis',
							axisPointer: {
								type: 'shadow'
							}
						},
						legend: {
							show: false,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '5%',
							left: '3%',
							right: '4%',
							bottom: '3%',
							containLabel: true
						},
						xAxis: {
							type: 'value',
							boundaryGap: [0, 0.01],
							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
							lsplitLine: {
								show: true,
								lineStyle: {
									color: '#1160a0',
									type: 'dashed'
								},
							},
						},
						yAxis: {
							type: 'category',
							data: xLabel,
							// splitLine: {
							// 	show: true,
							// 	lineStyle: {
							// 		color: '#1160a0',
							// 		type: 'dashed'
							// 	},
							// },
							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
						},
						series: arr
					};
				} else if (c.type == 11) {
					console.log(111);
					let monthData = []
					let dataValue = []
					let monthValue = []
					let yName = []
					c.resultData.forEach(e => {
						monthData.push({
							month: e.month,
							list: []
						})
					})
					let newMonth = Array.from(new Set(monthData.map(item => item.month))).map(month => {
						return monthData.find(item => item.month === month);
					});
					newMonth.forEach(m => {
						c.resultData.forEach(a => {
							if (a.month == m.month) {
								m.list.push(a)
							}
						})
					})

					newMonth.forEach((m, mi) => {
						monthValue.push(m.month + '月')
						m.list.forEach(l => {
							if (mi === 0)
								yName.push({
									name: l.targetName,
									stack: '',
									type: 'bar',
									data: [],
									// label: {
									// 	normal: {
									// 		show: true,
									// 		position: 'insideBottom',
									// 		formatter: function(v) {
									// 			return '新增'
									// 		}
									// 	}
									// },
									// tooltip: {
									// 		formatter: function(params) {
									// 			return '2020<br>' + params;
									// 		}
									// 	}
									// budgetData:[]
								})
						})
					})
					let yName1 = JSON.parse(JSON.stringify(yName))
					yName.forEach((y, yx) => {
						y.stack = '实际值'
						// if (yx == 0) {
						// 	y.label = {
						// 		normal: {
						// 			show: true,
						// 			color:'#fff',
						// 			position: 'insideBottom',
						// 			formatter: function(v) {
						// 				return '实际值'
						// 			}
						// 		}
						// 	}
						// }

						newMonth.forEach(w => {
							w.list.forEach(t => {
								if (y.name == t.targetName) {
									y.data.push(t.actual)
								}
							})
						})
					})
					// yName1.forEach((y, yx) => {
					// 	y.stack = '预算值'
					// 	if (yx == 0) {
					// 		y.label = {
					// 			normal: {
					// 				show: true,
					// 				color:'#fff',
					// 				position: 'insideBottom',
					// 				formatter: function(v) {
					// 					return '预算值'
					// 				}
					// 			}
					// 		}
					// 	}

					// 	newMonth.forEach(w => {
					// 		w.list.forEach(t => {
					// 			if (y.name == t.targetName) {
					// 				y.data.push(t.budget)
					// 			}
					// 		})
					// 	})
					// })
					// let arr = yName.concat(yName1)
					let arr = yName
					option = {
						tooltip: {
							trigger: 'axis',
							axisPointer: {
								// Use axis to trigger tooltip
								type: 'shadow', // 'shadow' as default; can also be 'line' or 'shadow'
							},
							formatter: function(params) {
								var res = '<div><p>月份：' + params[0].name + '</p></div><hr><div><p>实际值：</p></div>'
								for (var i = 0; i < params.length; i++) {
									res += '<p>' + params[i].marker + params[i].seriesName + ':' + params[i].data +
										'</p>'
									// if (i == 2) {
									// 	res += '<hr><div><p>预算值：</p></div>'
									// }
								}
								return res;
							}
						},
						legend: {
							show: true,
							textStyle: {
								color: '#fff',
								fontSize: 14,
								padding: [0, 8, 0, 8]
							}
						},
						grid: {
							top: '18%',
							left: '14%',
							right: '5%',
							bottom: '14%',
						},
						xAxis: {
							// type: 'value',
							data: monthValue,
							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
						},
						yAxis: {
							// type: 'category',
							axisLabel: {
								textStyle: {
									color: '#FFFFFF',
									fontSize: 12,
								},
							},
						},
						series: arr
					};

				}
				option && otherChart.setOption(option)
				const echartAll = document.getElementsByClassName('otherFull')
				otherChart.on('click', params => {


					if (c.type == 12 || c.type == 10 || c.type == 7 || c.type == 6) {
						let value = this.searchParentCodes(this.allList, params.name)
						let level = window.localStorage.getItem('pageLevel')
						if (value.length > 0) {
							value = value ? (Number(value) + 1).toString() : '0'
							window.localStorage.setItem("enterpriseCode", [value, params.name]);
							window.localStorage.setItem("pageName", "财务主题");
							if (level == 2) {
								this.$router.push({
									name: 'firstLevelPage',
								})
							} else if (level == 3) {
								this.$router.push({
									name: 'secondLevelPage',
								})
							} else if (level == 4) {
								this.$router.push({
									name: 'thirdLevelPage',
								})
							} else if (level == 5) {
								this.$router.push({
									name: 'fourthLevelPage',
								})
							}
						}


					}
				})
				window.onresize = function() {
					for (let i = 0; i < echartAll.length; i++) {
						var myChart = echarts.init(echartAll[i])
						myChart.resize()
					}
				}

			},
			getAreaTree() {
				this.newParams.querys[{
					group: "main",
					operation: "EQUAL",
					parentGroup: "",
					property: "pool_type_",
					relation: "AND",
					value: 1
				}, {
					group: "main",
					operation: "EQUAL",
					parentGroup: "",
					property: "run_status_",
					relation: "AND",
					value: 1
				}]
				financialTheme.getAreaTree(this.newParams, res => {
					if (res) {
						res.value.forEach(e => {
							this.zbList.forEach(s => {
								if (e.continent == s.name) {
									e.code = s.value
								}
							})
						})
						this.allList = res.value
					}
				})
			},
			searchParentCodes(data, code, result = []) {
				data.forEach((item) => {
					if (item.code === code) {
						return;
					}
					if (Array.isArray(item.list)) {
						item.list.forEach((child) => {
							if (child.code === code) {
								result.push(item.code);
								this.searchParentCodes(data, item.code, result);
							} else {
								this.searchParentCodes([child], code, result);
							}
						});
					}
				});
				return result;
			}


		}

	}
</script>

<style lang="scss" scoped>
	* {
		padding: 0;
		margin: 0;
	}

	.full {
		margin-top: 40px;
		height: calc(100% - 82px);
	}

	.full2 {
		margin-top: 40px;
		height: calc(100% - 72px);
	}

	.full3 {
		margin-top: 40px;
		height: calc(100% - 72px);
	}

	.more-bg {
		width: 100%;
		height: 100%;
		// background-color: #000;
		background: url('~@/assets/img/bigsreen-bg.png') center /100% 100% no-repeat;
	}

	/deep/ .el-dialog {
		width: 100%;
		min-height: 312px;
		background: url('~@/assets/img/dialog-bg.png') center / 100% 100% no-repeat;
		background-color: rgba(0, 0, 0, 1);
	}

	/deep/ .el-dialog__header {
		padding: 0;
		margin: 0;
		height: 0;
	}

	/deep/ .el-dialog__body {
		padding: 0;
		height: 100%;
	}

	.header {
		width: 100%;
		height: 35px;
		background: url('~@/assets/img/dialog-header-bg.png') center / 100% 100% no-repeat;
		font-size: 22px;
		font-family: Alimama ShuHeiTi;
		font-weight: bold;
		font-style: italic;
		color: #F6F9FE;
		padding-left: 50px;
		box-sizing: border-box;
		text-shadow: 0px 2px 8px rgba(5, 28, 55, 0.42);
		position: relative;

	}


	/deep/ .el-dialog__headerbtn {
		background: url("~@/assets/img/dialog-shut.png");
		background-size: cover;
		height: 20px;
		width: 20px;
		z-index: 999;

		i {
			display: none; // 在这里隐藏弹窗默认的关闭图标
		}
	}

	/deep/::-webkit-scrollbar {
		width: 0 !important;
	}



	.screen-body {
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		width: 100%;
		height: calc(100% - 45px);
		box-sizing: border-box;
		padding: 0 10px;
		position: relative;

		.col-top {
			height: calc(40% - 35px);
			background-color: #091d3d;
			border: 1px solid #10408c;

			.top-header {
				width: 100%;
				height: 42px;
				display: flex;
				justify-content: space-between;
				background: url('~@/assets/img/title-big-bg.png') center / 100% 100% no-repeat;

				.title {
					font-size: 20px;
					font-family: Alimama ShuHeiTi;
					font-weight: bold;
					font-style: italic;
					color: #cfdfec;
					margin-left: 2%;
				}

				.right {
					height: 20px;
					color: #FFFFFF;
					display: flex;

					div {
						padding: 0 8px;
						margin-left: 5px;
						box-sizing: border-box;
						font-size: 12px;
						font-family: Microsoft YaHei;
						font-weight: 400;
						color: #FFFFFF;
						background-color: #0F3662;
						// background: linear-gradient(0deg, rgba(3,0,0), rgba(255,255,255));
						border: 1px solid #4980BD;
					}

					div:hover {
						background-color: #4980BD;
					}
				}
			}
		}

		.top-content {
			display: flex;
			height: calc(100% - 35px);
			justify-content: space-between;
			background: rgba(18, 50, 102, 0.14);

			.cent-echarts {
				position: relative;
				width: 33%;
				padding: 0 5px;
				box-sizing: border-box;

				// background: url('~@/assets/img/cent-bg.png') center / 100% 100% no-repeat;
				// .echarts-top {
				// 	width: 100%;
				// 	display: flex;
				// 	justify-content: space-between;
				// 	align-items: center;
				// }

				.echarts-title {
					font-size: 20px;
					font-family: Alimama ShuHeiTi;
					font-weight: bold;
					font-style: italic;
					color: #cfdfec;
					text-align: center;
				}


				.titleYear {
					width: 100%;
					height: 40px;
					margin-left: 20px;
					background: url('~@/assets/img/year-bg.png') center no-repeat;
				}

				.titleQuarter {
					width: 100%;
					height: 40px;
					margin-left: 20px;
					background: url('~@/assets/img/quarter-bg.png') center no-repeat;
				}

				.titleMonth {
					width: 100%;
					height: 40px;
					margin-left: 20px;
					background: url('~@/assets/img/enterprise.png') center no-repeat;
				}
			}

		}


		.screen-body-col {
			width: 100%;
		}

		.search {
			z-index: 999;
			position: absolute;
			right: 10px;
			color: #FFFFFF;
		}

		.col-footer {
			height: 61%;
			display: flex;
			overflow-y: auto;
			flex-wrap: wrap;

			.footer-echarts {
				width: 32.5%;
				margin-right: 1%;
				position: relative;
				background-color: #091d3d;
				border: 1px solid #10408c;
				margin-bottom: 10px;

			}



			.lastLine {
				margin-right: 0 !important;
			}
		}


	}

	.lastLine {
		margin-right: 0 !important;
	}

	/deep/ .el-scrollbar__view .el-select-dropdown__list {
		text-align: center;
	}

	/deep/ .el-input__inner {
		color: #fff;
		background-color: transparent !important;
		border-color: #80ffff;
		border: 1px solid #0F3662;
		height: 30px;
	}

	/deep/.el-input__icon {
		line-height: 30px;
	}
</style>